
double quadratic (const int dim, int *x, double **a);
double quadratic2(const int dim, int *x, double **a, double *b);
double quadratic3(const int dim, int *x, double **a, double *b, double c);

int lgconv_validate_hesse(const int dim, double **a);
int  lconv_validate_hesse(const int dim, double **a);
int mgconv_validate_hesse(const int dim, double **a);
int  mconv_validate_hesse(const int dim, double **a);

void make_quadratic_hesse_l(const int dim, double f(int,int*), double **a);
void make_quadratic_hesse_m(const int dim, double f(int,int*), double **a);
void make_quadratic_hesse_mg(const int dim, double f(int,int*), double **a);
void make_quadratic_liner_const(const int dim, double f(int,int*),
                                double **a, double *b, double *c);
